import { LitElement } from 'lit';
export declare const ICON_IDEAL = "icon-ideal";
export declare class IconIdealComponent extends LitElement {
    static readonly defaultTagName = "icon-ideal";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
